using Schema;
using UnityEngine;
using VOID.Generic.Objects.Abstract;

namespace VOID.Generic.AI.Schema.Variables
{
    [Color("#b07219")]
    [Name(nameof(AbstractObject))]
    [UseExternalTypeDefinition(typeof(AbstractObject))]
    [ExcludePaths(
        "gameObject",
        "transform",
        "transform.position",
        "basicData.currentResources.health",
        "basicData.resistances.physicalResistance",
        "basicData.resistances.magicalResistance",
        "basicData.resistances.fireResistance",
        "basicData.resistances.waterResistance",
        "basicData.resistances.earthResistance",
        "basicData.resistances.airResistance",
        "basicData.resistances.poisonResistance",
        "basicData.resistances.lightResistance",
        "basicData.resistances.darkResistance",
        "basicData.resistances.healResistance"
    )]
    [ExcludeTypes(typeof(Matrix4x4))]
    public class AbstractObjectVariable : EntryType
    {
    }
}